"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var defensive_programming_framework_1 = require("defensive-programming-framework");
/**
 * Converts the specified value to title case.
 *
 * @export
 * @param {string} value - The value.
 * @returns - The value in title case.
 */
function toTitleCase(value) {
    if (defensive_programming_framework_1.isNullOrWhiteSpace(value)) {
        return value;
    }
    else {
        return value.replace(/\w\S*/g, function (x) { return x.charAt(0).toUpperCase() + x.substr(1).toLowerCase(); });
    }
}
exports.toTitleCase = toTitleCase;
//# sourceMappingURL=string-extensions.js.map