"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var validation_1 = require("./validation");
/**
     * Gets the validation decorator.
     *
     * @static
     * @param {Validator} validator - The validator instance.
     * @returns - The validation decorator instance.
     */
function getValidationDecorator(validator) {
    var validatorKey = validation_1.Validation.getValidatorKey(validator.constructor.name);
    return function (target, propertyKey) { return Reflect.defineMetadata(validatorKey, validator, target, propertyKey); };
}
exports.getValidationDecorator = getValidationDecorator;
//# sourceMappingURL=validation-decorator.js.map