import "reflect-metadata";
/**
 * The validation utility class.
 *
 * @export
 * @class Validation
 */
export declare abstract class Validation {
    /**
     * The validation decorator namespace prefix.
     *
     * @private
     * @static
     */
    private static readonly validationDecoratorNamespacePrefix;
    /**
     * Gets the validation decorator key.
     *
     * @static
     * @param {string} validatorName - The validator name.
     * @returns - The validator key.
     */
    static getValidatorKey(validatorName: string): string;
    /**
     * Check is the specified validation decorator namespace is valid.
     *
     * @static
     * @param {string} namespace - The validation decorator namespace.
     * @returns True when valid; false otherwise.
     */
    static isValidValidatorKey(namespace: string): boolean;
}
