"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_empty_validator_1 = require("./cannot-be-empty.validator");
/**
 * Validates that the value is not empty.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeEmpty(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_empty_validator_1.CannotBeEmptyValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeEmpty = CannotBeEmpty;
//# sourceMappingURL=cannot-be-empty.decorator.js.map