"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_longer_than_or_equal_to_validator_1 = require("./cannot-be-longer-than-or-equal-to.validator");
/**
 * Validates that the value is not longer than or equal to the specified length.
 *
 * @export
 * @param {number} maxLength - The maximum length.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeLongerThanOrEqualTo(maxLength, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_longer_than_or_equal_to_validator_1.CannotBeLongerThanOrEqualToValidator(maxLength, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeLongerThanOrEqualTo = CannotBeLongerThanOrEqualTo;
//# sourceMappingURL=cannot-be-longer-than-or-equal-to.decorator.js.map