"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_shorter_than_validator_1 = require("./cannot-be-shorter-than.validator");
/**
 * Validates that the value is not shorter than the specified length.
 *
 * @export
 * @param {number} minLength - The minimum length.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator
 */
function CannotBeShorterThan(minLength, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_shorter_than_validator_1.CannotBeShorterThanValidator(minLength, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeShorterThan = CannotBeShorterThan;
//# sourceMappingURL=cannot-be-shorter-than.decorator.js.map