"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_contain_duplicates_validator_1 = require("./cannot-contain-duplicates.validator");
/**
 * Validates that the value does not contain duplicates.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotContainDuplicates(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_contain_duplicates_validator_1.CannotContainDuplicatesValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotContainDuplicates = CannotContainDuplicates;
//# sourceMappingURL=cannot-contain-duplicates.decorator.js.map