"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_contain_validator_1 = require("./cannot-contain.validator");
/**
 * Validates that all array items return false when evaluated by the specified evaluator function.
 *
 * @export
 * @param {(T: any) => boolean} func - The evaluator function.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotContain(func, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_contain_validator_1.CannotContainValidator(func, message, validationLevel, validationContext, validationPriority));
}
exports.CannotContain = CannotContain;
//# sourceMappingURL=cannot-contain.decorator.js.map