"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_empty_validator_1 = require("./must-be-empty.validator");
/**
 * Validates that the value is empty.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeEmpty(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_empty_validator_1.MustBeEmptyValidator(message, validationLevel, validationContext, validationPriority));
}
exports.MustBeEmpty = MustBeEmpty;
//# sourceMappingURL=must-be-empty.decorator.js.map