import { ValidationLevel } from "../../../validation-level";
import { Validator } from "../../validator";
/**
 * The must be equal to array validator.
 *
 * @export
 * @class MustBeEqualToArrayValidator
 * @extends {Validator}
 * @template T
 */
export declare class MustBeEqualToArrayValidator<T> extends Validator {
    array: Array<T>;
    ignoreOrder: boolean;
    constructor(array: Array<T>, ignoreOrder: boolean, message: string | null | undefined, validationLevel: ValidationLevel | null | undefined, validationContext: string | null | undefined, validationPriority: number | null | undefined);
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    isValid(value: any): boolean;
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    protected getDefaultMessage(): string;
    /**
     * Gets the message parameters.
     *
     * @protected
     * @returns {string} - The message parameters
     */
    protected getMessageParameters(): T[][];
}
