"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var validator_1 = require("../../validator");
var defensive_programming_framework_1 = require("defensive-programming-framework");
/**
 * The must be equal to array validator.
 *
 * @export
 * @class MustBeEqualToArrayValidator
 * @extends {Validator}
 * @template T
 */
var MustBeEqualToArrayValidator = /** @class */ (function (_super) {
    __extends(MustBeEqualToArrayValidator, _super);
    // #region Constructors (1)
    function MustBeEqualToArrayValidator(array, ignoreOrder, message, validationLevel, validationContext, validationPriority) {
        var _this = _super.call(this, message, validationLevel, validationContext, validationPriority) || this;
        _this.array = array;
        _this.ignoreOrder = ignoreOrder;
        defensive_programming_framework_1.cannotBeNull(array);
        return _this;
    }
    // #endregion
    // #region Public Methods (1)
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    MustBeEqualToArrayValidator.prototype.isValid = function (value) {
        if (defensive_programming_framework_1.isNull(value)) {
            return true;
        }
        else if (value instanceof Array) {
            return defensive_programming_framework_1.isEqualToArray(value, this.array, this.ignoreOrder);
        }
        else {
            return true;
        }
    };
    // #endregion
    // #region Protected Methods (2)
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    MustBeEqualToArrayValidator.prototype.getDefaultMessage = function () {
        return "Value must be equal to {0}.";
    };
    /**
     * Gets the message parameters.
     *
     * @protected
     * @returns {string} - The message parameters
     */
    MustBeEqualToArrayValidator.prototype.getMessageParameters = function () {
        return [this.array];
    };
    return MustBeEqualToArrayValidator;
}(validator_1.Validator));
exports.MustBeEqualToArrayValidator = MustBeEqualToArrayValidator;
//# sourceMappingURL=must-be-equal-to-array.validator.js.map