"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_longer_than_or_equal_to_validator_1 = require("./must-be-longer-than-or-equal-to.validator");
/**
 * Validates that the value is longer than or equal to the specified length.
 *
 * @export
 * @param {number} minLength - The minimum length.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeLongerThanOrEqualTo(minLength, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_longer_than_or_equal_to_validator_1.MustBeLongerThanOrEqualToValidator(minLength, message, validationLevel, validationContext, validationPriority));
}
exports.MustBeLongerThanOrEqualTo = MustBeLongerThanOrEqualTo;
//# sourceMappingURL=must-be-longer-than-or-equal-to.decorator.js.map