"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_shorter_than_or_equal_to_validator_1 = require("./must-be-shorter-than-or-equal-to.validator");
/**
 * Validates that the value is shorter than or equal to the specified length.
 *
 * @export
 * @param {number} maxLength - The maximum length.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeShorterThanOrEqualTo(maxLength, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_shorter_than_or_equal_to_validator_1.MustBeShorterThanOrEqualToValidator(maxLength, message, validationLevel, validationContext, validationPriority));
}
exports.MustBeShorterThanOrEqualTo = MustBeShorterThanOrEqualTo;
//# sourceMappingURL=must-be-shorter-than-or-equal-to.decorator.js.map