"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_shorter_than_validator_1 = require("./must-be-shorter-than.validator");
/**
 * Validates that the value is shorter than the specified length.
 *
 * @export
 * @param {number} maxLength - The max length.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator
 */
function MustBeShorterThan(maxLength, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_shorter_than_validator_1.MustBeShorterThanValidator(maxLength, message, validationLevel, validationContext, validationPriority));
}
exports.MustBeShorterThan = MustBeShorterThan;
//# sourceMappingURL=must-be-shorter-than.decorator.js.map