"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_contain_duplicates_validator_1 = require("./must-contain-duplicates.validator");
/**
 * Validates that the value contains duplicates.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustContainDuplicates(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_contain_duplicates_validator_1.MustContainDuplicatesValidator(message, validationLevel, validationContext, validationPriority));
}
exports.MustContainDuplicates = MustContainDuplicates;
//# sourceMappingURL=must-contain-duplicates.decorator.js.map