"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_date_in_the_past_validator_1 = require("./cannot-be-date-in-the-past.validator");
/**
 * Validates that the value is not a date in the past.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeDateInThePast(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_date_in_the_past_validator_1.CannotBeDateInThePastValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeDateInThePast = CannotBeDateInThePast;
//# sourceMappingURL=cannot-be-date-in-the-past.decorator.js.map