"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_date_validator_1 = require("./cannot-be-date.validator");
/**
 * Validates that the value is not a date without a time component.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeDate(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_date_validator_1.CannotBeDateValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeDate = CannotBeDate;
//# sourceMappingURL=cannot-be-date.decorator.js.map