"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_today_validator_1 = require("./cannot-be-today.validator");
/**
 * Validates that the value is not a today date.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeToday(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_today_validator_1.CannotBeTodayValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeToday = CannotBeToday;
//# sourceMappingURL=cannot-be-today.decorator.js.map