"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var validator_1 = require("../../validator");
var defensive_programming_framework_1 = require("defensive-programming-framework");
/**
 * The cannot be today validator.
 *
 * @export
 * @class CannotBeTodayValidator
 * @extends {Validator}
 */
var CannotBeTodayValidator = /** @class */ (function (_super) {
    __extends(CannotBeTodayValidator, _super);
    // #region Constructors (1)
    /**
     * Creates an instance of CannotBeTodayValidator.
     * @param {(string | null | undefined)} message - The custom validation message.
     * @param {(ValidationLevel | null | undefined)} validationLevel - The custom validation level.
     * @param {(string | null | undefined)} validationContext - The custom validation context.
     * @param {(number | null | undefined)} validationPriority - The custom validation priority.
     */
    function CannotBeTodayValidator(message, validationLevel, validationContext, validationPriority) {
        return _super.call(this, message, validationLevel, validationContext, validationPriority) || this;
    }
    // #endregion
    // #region Public Methods (1)
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    CannotBeTodayValidator.prototype.isValid = function (value) {
        var today;
        var date;
        if (defensive_programming_framework_1.isNull(value)) {
            return true;
        }
        else if (value instanceof Date) {
            today = new Date();
            today.setHours(0, 0, 0, 0);
            date = new Date(value);
            date.setHours(0, 0, 0, 0);
            return date.getTime() !== today.getTime();
        }
        else {
            return true;
        }
    };
    // #endregion
    // #region Protected Methods (1)
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    CannotBeTodayValidator.prototype.getDefaultMessage = function () {
        return "Value cannot be today's date.";
    };
    return CannotBeTodayValidator;
}(validator_1.Validator));
exports.CannotBeTodayValidator = CannotBeTodayValidator;
//# sourceMappingURL=cannot-be-today.validator.js.map