"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_date_in_the_future_validator_1 = require("./must-be-date-in-the-future.validator");
/**
 * Validates that the value is a date in the future.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeDateInTheFuture(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_date_in_the_future_validator_1.MustBeDateInTheFutureValidator(message, validationLevel, validationContext, validationPriority));
}
exports.MustBeDateInTheFuture = MustBeDateInTheFuture;
//# sourceMappingURL=must-be-date-in-the-future.decorator.js.map