"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_float_validator_1 = require("./cannot-be-float.validator");
/**
 * Validates that the value is not a float number precise to the specified number of decimal places.
 *
 * @export
 * @param {number} maxDecimalPlaces - The maximum number of decimal places.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeFloat(maxDecimalPlaces, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_float_validator_1.CannotBeFloatValidator(maxDecimalPlaces, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeFloat = CannotBeFloat;
//# sourceMappingURL=cannot-be-float.decorator.js.map