"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_greater_than_or_equal_to_validator_1 = require("./cannot-be-greater-than-or-equal-to.validator");
/**
 * Validates that the value is not greater than or equal to the specified limit.
 *
 * @export
 * @param {(number | string)} maxValue - The maximum value.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeGreaterThanOrEqualTo(maxValue, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_greater_than_or_equal_to_validator_1.CannotBeGreaterThanOrEqualToValidator(maxValue, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeGreaterThanOrEqualTo = CannotBeGreaterThanOrEqualTo;
//# sourceMappingURL=cannot-be-greater-than-or-equal-to.decorator.js.map