"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_greater_than_validator_1 = require("./cannot-be-greater-than.validator");
/**
 * Validates that the value is not greater than the specified limit.
 *
 * @export
 * @param {(number | string)} maxValue - The maximum value.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeGreaterThan(maxValue, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_greater_than_validator_1.CannotBeGreaterThanValidator(maxValue, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeGreaterThan = CannotBeGreaterThan;
//# sourceMappingURL=cannot-be-greater-than.decorator.js.map