"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_integer_validator_1 = require("./cannot-be-integer.validator");
/**
 * Validates that the value is not a valid integer number.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeInteger(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_integer_validator_1.CannotBeIntegerValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeInteger = CannotBeInteger;
//# sourceMappingURL=cannot-be-integer.decorator.js.map