import "reflect-metadata";
import { ValidationLevel } from "../../../validation-level";
/**
 * Validates that the value is not less than or equal to the specified limit.
 *
 * @export
 * @param {(number | string)} minValue - The minimum value.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
export declare function CannotBeLessThanOrEqualTo(minValue: number | string, message?: string, validationLevel?: ValidationLevel, validationContext?: string | null, validationPriority?: number): (target: Object, propertyKey: string) => void;
