"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_less_than_or_equal_to_validator_1 = require("./cannot-be-less-than-or-equal-to.validator");
/**
 * Validates that the value is not less than or equal to the specified limit.
 *
 * @export
 * @param {(number | string)} minValue - The minimum value.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeLessThanOrEqualTo(minValue, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_less_than_or_equal_to_validator_1.CannotBeLessThanOrEqualToValidator(minValue, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeLessThanOrEqualTo = CannotBeLessThanOrEqualTo;
//# sourceMappingURL=cannot-be-less-than-or-equal-to.decorator.js.map