import "reflect-metadata";
import { ValidationLevel } from "../../../validation-level";
/**
 * Validates that the value is within the specified range.
 *
 * @export
 * @param {(number | string)} minValue - The minimum value.
 * @param {(number | string)} maxValue - The maximum value.
 * @param {boolean} [inclusive=true] - When true, the range is inclusive (the limits are included within the range).
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
export declare function MustBeBetween(minValue: number | string, maxValue: number | string, inclusive?: boolean, message?: string, validationLevel?: ValidationLevel, validationContext?: string | null, validationPriority?: number): (target: Object, propertyKey: string) => void;
