"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_greater_than_validator_1 = require("./must-be-greater-than.validator");
/**
 * Validates that the value is greater than the specified limit.
 *
 * @export
 * @param {(number | string)} minValue - The minimum value.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeGreaterThan(minValue, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_greater_than_validator_1.MustBeGreaterThanValidator(minValue, message, validationLevel, validationContext, validationPriority));
}
exports.MustBeGreaterThan = MustBeGreaterThan;
//# sourceMappingURL=must-be-greater-than.decorator.js.map