"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var validator_1 = require("../../validator");
var defensive_programming_framework_1 = require("defensive-programming-framework");
/**
 * The must be an integer number validator.
 *
 * @export
 * @class MustBeIntegerValidator
 * @extends {Validator}
 */
var MustBeIntegerValidator = /** @class */ (function (_super) {
    __extends(MustBeIntegerValidator, _super);
    // #region Constructors (1)
    /**
     * Creates an instance of MustBeIntegerValidator.
     * @param {(string | null | undefined)} message - The custom validation message.
     * @param {(ValidationLevel | null | undefined)} validationLevel - The custom validation level.
     * @param {(string | null | undefined)} validationContext - The custom validation context.
     * @param {(number | null | undefined)} validationPriority - The custom validation priority.
     */
    function MustBeIntegerValidator(message, validationLevel, validationContext, validationPriority) {
        return _super.call(this, message, validationLevel, validationContext, validationPriority) || this;
    }
    // #endregion
    // #region Public Methods (1)
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    MustBeIntegerValidator.prototype.isValid = function (value) {
        if (defensive_programming_framework_1.isNull(value)) {
            return true;
        }
        else if (defensive_programming_framework_1.isTypeOf(value, "number")) {
            return defensive_programming_framework_1.isInteger(value);
        }
        else {
            return true;
        }
    };
    // #endregion
    // #region Protected Methods (1)
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    MustBeIntegerValidator.prototype.getDefaultMessage = function () {
        return "Value must be an integer number.";
    };
    return MustBeIntegerValidator;
}(validator_1.Validator));
exports.MustBeIntegerValidator = MustBeIntegerValidator;
//# sourceMappingURL=must-be-integer.validator.js.map