"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_less_than_validator_1 = require("./must-be-less-than.validator");
/**
 * Validates that the value is less than the specified limit.
 *
 * @export
 * @param {(number | string)} maxValue - The maximum value.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeLessThan(maxValue, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_less_than_validator_1.MustBeLessThanValidator(maxValue, message, validationLevel, validationContext, validationPriority));
}
exports.MustBeLessThan = MustBeLessThan;
//# sourceMappingURL=must-be-less-than.decorator.js.map