"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_equal_to_validator_1 = require("./cannot-be-equal-to.validator");
/**
 * Validates that the value is not equal to the specified value.
 *
 * @export
 * @param {*} value - The value to test against.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeEqualTo(value, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_equal_to_validator_1.CannotBeEqualToValidator(value, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeEqualTo = CannotBeEqualTo;
//# sourceMappingURL=cannot-be-equal-to.decorator.js.map