"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var validator_1 = require("../../validator");
var defensive_programming_framework_1 = require("defensive-programming-framework");
/**
 * The cannot be equal to validator.
 *
 * @export
 * @class CannotBeEqualToValidator
 * @extends {Validator}
 */
var CannotBeEqualToValidator = /** @class */ (function (_super) {
    __extends(CannotBeEqualToValidator, _super);
    // #region Constructors (1)
    /**
     * Creates an instance of CannotBeEqualToValidator.
     * @param {*} value - The value to test against.
     * @param {(string | null | undefined)} message - The custom validation message.
     * @param {(ValidationLevel | null | undefined)} validationLevel - The custom validation level.
     * @param {(string | null | undefined)} validationContext - The custom validation context.
     * @param {(number | null | undefined)} validationPriority - The custom validation priority.
     */
    function CannotBeEqualToValidator(value, message, validationLevel, validationContext, validationPriority) {
        var _this = _super.call(this, message, validationLevel, validationContext, validationPriority) || this;
        _this.value = value;
        return _this;
    }
    // #endregion
    // #region Public Methods (1)
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    CannotBeEqualToValidator.prototype.isValid = function (value) {
        return !defensive_programming_framework_1.isEqualTo(value, this.value);
    };
    // #endregion
    // #region Protected Methods (2)
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    CannotBeEqualToValidator.prototype.getDefaultMessage = function () {
        return "Value cannot be equal to {0}.";
    };
    /**
     * Gets the message parameters.
     *
     * @protected
     * @returns {string} - The message parameters
     */
    CannotBeEqualToValidator.prototype.getMessageParameters = function () {
        return [this.value];
    };
    return CannotBeEqualToValidator;
}(validator_1.Validator));
exports.CannotBeEqualToValidator = CannotBeEqualToValidator;
//# sourceMappingURL=cannot-be-equal-to.validator.js.map