"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_instance_of_validator_1 = require("./cannot-be-instance-of.validator");
/**
 * Validates that the value is not an instance of the specified type.
 *
 * @export
 * @param {Function} type - The type to test against.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeInstanceOf(type, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_instance_of_validator_1.CannotBeInstanceOfValidator(type, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeInstanceOf = CannotBeInstanceOf;
//# sourceMappingURL=cannot-be-instance-of.decorator.js.map