import { ValidationLevel } from "../../../validation-level";
import { Validator } from "../../validator";
/**
 * The cannot be one of validator.
 *
 * @export
 * @class CannotBeOneOfValidator
 * @extends {Validator}
 */
export declare class CannotBeOneOfValidator extends Validator {
    set: any[];
    /**
     * Creates an instance of CannotBeOneOfValidator.
     * @param {any[]} set - The set of values to validate against.
     * @param {(string | null | undefined)} message - The custom validation message.
     * @param {(ValidationLevel | null | undefined)} validationLevel - The custom validation level.
     * @param {(string | null | undefined)} validationContext - The custom validation context.
     * @param {(number | null | undefined)} validationPriority - The custom validation priority.
     */
    constructor(set: any[], message: string | null | undefined, validationLevel: ValidationLevel | null | undefined, validationContext: string | null | undefined, validationPriority: number | null | undefined);
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    isValid(value: any): boolean;
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    protected getDefaultMessage(): string;
    /**
     * Gets the message parameters.
     *
     * @protected
     * @returns {string} - The message parameters
     */
    protected getMessageParameters(): any[][];
}
