"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_type_of_validator_1 = require("./cannot-be-type-of.validator");
/**
 * Validates that the value is not type of the specified type.
 *
 * @export
 * @param {string} type - The type to test against.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeTypeOf(type, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_type_of_validator_1.CannotBeTypeOfValidator(type, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeTypeOf = CannotBeTypeOf;
//# sourceMappingURL=cannot-be-type-of.decorator.js.map