"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_validator_1 = require("./cannot-be.validator");
/**
 * Validates that the value returns false when evaluated by the specified evaluator function.
 *
 * @export
 * @param {(value: any) => boolean} func - The evaluator function.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBe(func, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_validator_1.CannotBeValidator(func, message, validationLevel, validationContext, validationPriority));
}
exports.CannotBe = CannotBe;
//# sourceMappingURL=cannot-be.decorator.js.map