"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_equal_to_validator_1 = require("./must-be-equal-to.validator");
/**
 * Validates that the value is equal to the specified value.
 *
 * @export
 * @param {*} value - The value to test against.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeEqualTo(value, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_equal_to_validator_1.MustBeEqualToValidator(value, message, validationLevel, validationContext, validationPriority));
}
exports.MustBeEqualTo = MustBeEqualTo;
//# sourceMappingURL=must-be-equal-to.decorator.js.map