import "reflect-metadata";
import { ValidationLevel } from "../../../validation-level";
/**
 * Validates that the value is one of the specified values.
 *
 * @export
 * @param {any[]} set - The set of values.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
export declare function MustBeOneOf(set: any[], message?: string, validationLevel?: ValidationLevel, validationContext?: string | null, validationPriority?: number): (target: Object, propertyKey: string) => void;
