"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_one_of_validator_1 = require("./must-be-one-of.validator");
/**
 * Validates that the value is one of the specified values.
 *
 * @export
 * @param {any[]} set - The set of values.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeOneOf(set, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_one_of_validator_1.MustBeOneOfValidator(set, message, validationLevel, validationContext, validationPriority));
}
exports.MustBeOneOf = MustBeOneOf;
//# sourceMappingURL=must-be-one-of.decorator.js.map