import { ValidationLevel } from "../../../validation-level";
import { Validator } from "../../validator";
/**
 * The must be type of validator.
 *
 * @export
 * @class MustBeTypeOfValidator
 * @extends {Validator}
 */
export declare class MustBeTypeOfValidator extends Validator {
    type: any;
    /**
     * Creates an instance of MustBeTypeOfValidator.
     * @param {*} type
     * @param {(string | null | undefined)} message - The custom validation message.
     * @param {(ValidationLevel | null | undefined)} validationLevel - The custom validation level.
     * @param {(string | null | undefined)} validationContext - The custom validation context.
     * @param {(number | null | undefined)} validationPriority - The custom validation priority.
     */
    constructor(type: any, message: string | null | undefined, validationLevel: ValidationLevel | null | undefined, validationContext: string | null | undefined, validationPriority: number | null | undefined);
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    isValid(value: any): boolean;
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    protected getDefaultMessage(): string;
    /**
     * Gets the message parameters.
     *
     * @protected
     * @returns {string} - The message parameters
     */
    protected getMessageParameters(): any[];
}
