"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_lower_case_validator_1 = require("./cannot-be-lower-case.validator");
/**
 * Validates that the value is not a lowercase string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeLowerCase(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_lower_case_validator_1.CannotBeLowerCaseValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeLowerCase = CannotBeLowerCase;
//# sourceMappingURL=cannot-be-lower-case.decorator.js.map