"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_null_or_whitespace_validator_1 = require("./cannot-be-null-or-whitespace.validator");
/**
 * Validates that the value is null or a whitespace string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeNullOrWhitespace(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_null_or_whitespace_validator_1.CannotBeNullOrWhitespaceValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeNullOrWhitespace = CannotBeNullOrWhitespace;
//# sourceMappingURL=cannot-be-null-or-whitespace.decorator.js.map