"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_title_case_validator_1 = require("./cannot-be-title-case.validator");
/**
 * Validates that the value is not a title case string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeTitleCase(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_title_case_validator_1.CannotBeTitleCaseValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeTitleCase = CannotBeTitleCase;
//# sourceMappingURL=cannot-be-title-case.decorator.js.map