"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_upper_case_validator_1 = require("./cannot-be-upper-case.validator");
/**
 * Validates that the value is not an uppercase string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeUpperCase(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_upper_case_validator_1.CannotBeUpperCaseValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeUpperCase = CannotBeUpperCase;
//# sourceMappingURL=cannot-be-upper-case.decorator.js.map