"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var validator_1 = require("../../validator");
var defensive_programming_framework_1 = require("defensive-programming-framework");
/**
 * The cannot be upper case string validator.
 *
 * @export
 * @class CannotBeUpperCaseValidator
 * @extends {Validator}
 */
var CannotBeUpperCaseValidator = /** @class */ (function (_super) {
    __extends(CannotBeUpperCaseValidator, _super);
    // #region Constructors (1)
    /**
     * Creates an instance of CannotBeUpperCaseValidator.
     * @param {(string | null | undefined)} message - The custom validation message.
     * @param {(ValidationLevel | null | undefined)} validationLevel - The custom validation level.
     * @param {(string | null | undefined)} validationContext - The custom validation context.
     * @param {(number | null | undefined)} validationPriority - The custom validation priority.
     */
    function CannotBeUpperCaseValidator(message, validationLevel, validationContext, validationPriority) {
        return _super.call(this, message, validationLevel, validationContext, validationPriority) || this;
    }
    // #endregion
    // #region Public Methods (1)
    /**
     * Validates the specified value.
     *
     * @param {*} value
     * @returns {boolean} - True if the value is valid; false otherwise.
     */
    CannotBeUpperCaseValidator.prototype.isValid = function (value) {
        if (defensive_programming_framework_1.isNull(value)) {
            return true;
        }
        else if (typeof value === "string") {
            if (new RegExp("[a-zA-Z]+").test(value)) {
                return value !== value.toUpperCase();
            }
            else {
                return true;
            }
        }
        else {
            return true;
        }
    };
    // #endregion
    // #region Protected Methods (1)
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    CannotBeUpperCaseValidator.prototype.getDefaultMessage = function () {
        return "Value cannot be upper case.";
    };
    return CannotBeUpperCaseValidator;
}(validator_1.Validator));
exports.CannotBeUpperCaseValidator = CannotBeUpperCaseValidator;
//# sourceMappingURL=cannot-be-upper-case.validator.js.map