"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_be_valid_float_validator_1 = require("./cannot-be-valid-float.validator");
/**
 * Validates that the value is not a valid float number string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotBeValidFloat(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_be_valid_float_validator_1.CannotBeValidFloatValidator(message, validationLevel, validationContext, validationPriority));
}
exports.CannotBeValidFloat = CannotBeValidFloat;
//# sourceMappingURL=cannot-be-valid-float.decorator.js.map