"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var cannot_match_validator_1 = require("./cannot-match.validator");
/**
 * Validates that the value does not match the specified regular expression.
 *
 * @export
 * @param {RegExp} regex - The regular expression to test against.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function CannotMatch(regex, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new cannot_match_validator_1.CannotMatchValidator(regex, message, validationLevel, validationContext, validationPriority));
}
exports.CannotMatch = CannotMatch;
//# sourceMappingURL=cannot-match.decorator.js.map