"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_title_case_validator_1 = require("./must-be-title-case.validator");
/**
 * Validates that the value is a title case string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeTitleCase(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_title_case_validator_1.MustBeTitleCaseValidator(message, validationLevel, validationContext, validationPriority));
}
exports.MustBeTitleCase = MustBeTitleCase;
//# sourceMappingURL=must-be-title-case.decorator.js.map