"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_upper_case_validator_1 = require("./must-be-upper-case.validator");
/**
 * Validates that the value is an uppercase string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeUpperCase(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_upper_case_validator_1.MustBeUpperCaseValidator(message, validationLevel, validationContext, validationPriority));
}
exports.MustBeUpperCase = MustBeUpperCase;
//# sourceMappingURL=must-be-upper-case.decorator.js.map