"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_be_valid_date_validator_1 = require("./must-be-valid-date.validator");
/**
 * Validates that the value is a valid date string.
 *
 * @export
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustBeValidDate(message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_be_valid_date_validator_1.MustBeValidDateValidator(message, validationLevel, validationContext, validationPriority));
}
exports.MustBeValidDate = MustBeValidDate;
//# sourceMappingURL=must-be-valid-date.decorator.js.map