"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var validator_1 = require("../../validator");
var defensive_programming_framework_1 = require("defensive-programming-framework");
var url = require("url");
/**
 * The must be a valid URL string validator.
 *
 * @export
 * @class CannotBeValidUrlValidator
 * @extends {Validator}
 */
var MustBeValidUrlValidator = /** @class */ (function (_super) {
    __extends(MustBeValidUrlValidator, _super);
    // #region Constructors (1)
    /**
     * Creates an instance of MustBeValidUrlValidator.
     * @param {(string | null | undefined)} message - The custom validation message.
     * @param {(ValidationLevel | null | undefined)} validationLevel - The custom validation level.
     * @param {(string | null | undefined)} validationContext - The custom validation context.
     * @param {(number | null | undefined)} validationPriority - The custom validation priority.
     */
    function MustBeValidUrlValidator(message, validationLevel, validationContext, validationPriority) {
        return _super.call(this, message, validationLevel, validationContext, validationPriority) || this;
    }
    // #endregion
    // #region Public Methods (1)
    MustBeValidUrlValidator.prototype.isValid = function (value) {
        if (defensive_programming_framework_1.isNull(value)) {
            return true;
        }
        else if (typeof value === "string") {
            try {
                var url2 = new url.URL(value);
                return true;
            }
            catch (ex) {
                return false;
            }
        }
        else {
            return true;
        }
    };
    // #endregion
    // #region Protected Methods (1)
    /**
     * Gets the default message.
     *
     * @protected
     * @returns {string} - The default message.
     */
    MustBeValidUrlValidator.prototype.getDefaultMessage = function () {
        return "Value must be a valid URL.";
    };
    return MustBeValidUrlValidator;
}(validator_1.Validator));
exports.MustBeValidUrlValidator = MustBeValidUrlValidator;
//# sourceMappingURL=must-be-valid-url.validator.js.map