"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var validation_decorator_1 = require("../../../validation-decorator");
var must_match_validator_1 = require("./must-match.validator");
/**
 * Validates that the value matches the specified regular expression.
 *
 * @export
 * @param {RegExp} regex - The regular expression to test against.
 * @param {string} [message] - The custom validation message.
 * @param {ValidationLevel} [validationLevel] - The custom validation level.
 * @param {(string | null)} [validationContext] - The custom validation context.
 * @param {number} [validationPriority] - The custom validation priority.
 * @returns - The decorator.
 */
function MustMatch(regex, message, validationLevel, validationContext, validationPriority) {
    return validation_decorator_1.getValidationDecorator(new must_match_validator_1.MustMatchValidator(regex, message, validationLevel, validationContext, validationPriority));
}
exports.MustMatch = MustMatch;
//# sourceMappingURL=must-match.decorator.js.map